Issues

ZF-12320: ClassMapAutoloader(ZF 1.12.0 RC2) problems in Windows 7 x64 environment

Issue Type: Bug Created: 2012-07-04T09:33:25.000+0000 Last Updated: 2012-11-02T21:25:33.000+0000 Status: Open Fix version(s): Reporter: 01Kuzma (01kuzma) Assignee: Matthew Weier O'Phinney (matthew) Tags: - Zend_Loader

Related issues: Attachments:

Description

It seems that ClassMapAutoloader(ZF 1.12.0 RC2) doesn't work correctly in Windows x64 environment. Maybe classmap_generator suffers from some lack of functionality. I don't know. Currently them same project runs in Linux(production version) and Windows(x64)(development version) environments. On LInux server everything works fine. But not on Win. In Windows I receive this error messages:

Warning: require_once(C:\Program Files (x86)\Zend\Apache2\htdocs\test\library\C:\Program Files (x86)\Zend\Apache2\htdocs\test\library\Zend\Config\Ini.php) [function.require-once]: failed to open stream: Invalid argument in C:\Program Files (x86)\Zend\Apache2\htdocs\test\library\Zend\Loader\ClassMapAutoloader.php on line 148

Fatal error: require_once() [function.require]: Failed opening required 'C:\Program Files (x86)\Zend\Apache2\htdocs\test\library\C:\Program Files (x86)\Zend\Apache2\htdocs\test\library\Zend\Config\Ini.php' (include_path='C:\Program Files (x86)\Zend\Apache2\htdocs\test\library;.;C:\Program Files (x86)\Zend\ZendServer\share\ZendFramework\library') in C:\Program Files (x86)\Zend\Apache2\htdocs\test\library\Zend\Loader\ClassMapAutoloader.php on line 148 I hope that it'll be fixed till final version.

Comments

No comments to display

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts